/* settings.c generated by valac 0.47.3, the Vala compiler
 * generated from settings.vala, do not modify */

/* -*- Mode: Vala; indent-tabs-mode: nil; tab-width: 4 -*-
 *
 * Copyright (C) 2011,2012 Canonical Ltd
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 3 as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * Authors: Robert Ancell <robert.ancell@canonical.com>
 *          Michael Terry <michael.terry@canonical.com>
 */

#include <glib-object.h>
#include <stdlib.h>
#include <string.h>
#include <glib.h>
#include <gio/gio.h>
#include <float.h>
#include <math.h>
#include <glib/gstdio.h>
#include <gobject/gvaluecollector.h>

#define TYPE_UG_SETTINGS (ug_settings_get_type ())
#define UG_SETTINGS(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), TYPE_UG_SETTINGS, UGSettings))
#define UG_SETTINGS_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), TYPE_UG_SETTINGS, UGSettingsClass))
#define IS_UG_SETTINGS(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), TYPE_UG_SETTINGS))
#define IS_UG_SETTINGS_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), TYPE_UG_SETTINGS))
#define UG_SETTINGS_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), TYPE_UG_SETTINGS, UGSettingsClass))

typedef struct _UGSettings UGSettings;
typedef struct _UGSettingsClass UGSettingsClass;
typedef struct _UGSettingsPrivate UGSettingsPrivate;
#define _g_object_unref0(var) ((var == NULL) ? NULL : (var = (g_object_unref (var), NULL)))
#define _g_free0(var) (var = (g_free (var), NULL))
#define _g_key_file_unref0(var) ((var == NULL) ? NULL : (var = (g_key_file_unref (var), NULL)))
#define _g_error_free0(var) ((var == NULL) ? NULL : (var = (g_error_free (var), NULL)))
typedef struct _ParamSpecUGSettings ParamSpecUGSettings;

struct _UGSettings {
	GTypeInstance parent_instance;
	volatile int ref_count;
	UGSettingsPrivate * priv;
};

struct _UGSettingsClass {
	GTypeClass parent_class;
	void (*finalize) (UGSettings *self);
};

struct _ParamSpecUGSettings {
	GParamSpec parent_instance;
};

static gpointer ug_settings_parent_class = NULL;

gpointer ug_settings_ref (gpointer instance);
void ug_settings_unref (gpointer instance);
GParamSpec* param_spec_ug_settings (const gchar* name,
                                    const gchar* nick,
                                    const gchar* blurb,
                                    GType object_type,
                                    GParamFlags flags);
void value_set_ug_settings (GValue* value,
                            gpointer v_object);
void value_take_ug_settings (GValue* value,
                             gpointer v_object);
gpointer value_get_ug_settings (const GValue* value);
GType ug_settings_get_type (void) G_GNUC_CONST;
G_DEFINE_AUTOPTR_CLEANUP_FUNC (UGSettings, ug_settings_unref)
#define UG_SETTINGS_KEY_BACKGROUND "background"
#define UG_SETTINGS_KEY_BACKGROUND_COLOR "background-color"
#define UG_SETTINGS_KEY_DRAW_USER_BACKGROUNDS "draw-user-backgrounds"
#define UG_SETTINGS_KEY_DRAW_GRID "draw-grid"
#define UG_SETTINGS_KEY_SHOW_HOSTNAME "show-hostname"
#define UG_SETTINGS_KEY_SHOW_POWER "show-power"
#define UG_SETTINGS_KEY_SHOW_A11Y "show-a11y"
#define UG_SETTINGS_KEY_SHOW_CLOCK "show-clock"
#define UG_SETTINGS_KEY_SHOW_KEYBOARD "show-keyboard"
#define UG_SETTINGS_KEY_SHOW_QUIT "show-quit"
#define UG_SETTINGS_KEY_LOGO "logo"
#define UG_SETTINGS_KEY_OTHER_MONITORS_LOGO "other-monitors-logo"
#define UG_SETTINGS_KEY_THEME_NAME "theme-name"
#define UG_SETTINGS_KEY_ICON_THEME_NAME "icon-theme-name"
#define UG_SETTINGS_KEY_FONT_NAME "font-name"
#define UG_SETTINGS_KEY_XFT_ANTIALIAS "xft-antialias"
#define UG_SETTINGS_KEY_XFT_DPI "xft-dpi"
#define UG_SETTINGS_KEY_XFT_HINTSTYLE "xft-hintstyle"
#define UG_SETTINGS_KEY_XFT_RGBA "xft-rgba"
#define UG_SETTINGS_KEY_ONSCREEN_KEYBOARD "onscreen-keyboard"
#define UG_SETTINGS_KEY_HIGH_CONTRAST "high-contrast"
#define UG_SETTINGS_KEY_SCREEN_READER "screen-reader"
#define UG_SETTINGS_KEY_PLAY_READY_SOUND "play-ready-sound"
#define UG_SETTINGS_KEY_HIDDEN_USERS "hidden-users"
#define UG_SETTINGS_KEY_GROUP_FILTER "group-filter"
#define UG_SETTINGS_KEY_ENABLE_HIDPI "enable-hidpi"
#define UG_SETTINGS_KEY_ACTIVATE_NUMLOCK "activate-numlock"
#define UG_SETTINGS_KEY_ONLY_ON_MONITOR "only-on-monitor"
#define UG_SETTINGS_SCHEMA "x.dm.slick-greeter"
#define UG_SETTINGS_GROUP_NAME "Greeter"
gboolean ug_settings_get_boolean (const gchar* key);
gboolean ug_settings_safe_get_boolean (const gchar* key,
                                       gboolean _default_);
gint ug_settings_get_integer (const gchar* key);
gdouble ug_settings_get_double (const gchar* key);
gchar* ug_settings_get_string (const gchar* key);
gboolean ug_settings_set_boolean (const gchar* key,
                                  gboolean value);
gchar** ug_settings_get_strv (const gchar* key,
                              gint* result_length1);
gboolean ug_settings_set_strv (const gchar* key,
                               gchar** value,
                               gint value_length1);
void ug_settings_apply_conf_settings (void);
static void _g_free0_ (gpointer var);
static inline void _g_list_free__g_free0_ (GList* self);
UGSettings* ug_settings_new (void);
UGSettings* ug_settings_construct (GType object_type);
static void ug_settings_finalize (UGSettings * obj);
static GType ug_settings_get_type_once (void);
static void _vala_array_destroy (gpointer array,
                          gint array_length,
                          GDestroyNotify destroy_func);
static void _vala_array_free (gpointer array,
                       gint array_length,
                       GDestroyNotify destroy_func);
static gint _vala_array_length (gpointer array);

gboolean
ug_settings_get_boolean (const gchar* key)
{
	GSettings* gsettings = NULL;
	GSettings* _tmp0_;
	gboolean result = FALSE;
#line 52 "settings.vala"
	g_return_val_if_fail (key != NULL, FALSE);
#line 54 "settings.vala"
	_tmp0_ = g_settings_new (UG_SETTINGS_SCHEMA);
#line 54 "settings.vala"
	gsettings = _tmp0_;
#line 55 "settings.vala"
	result = g_settings_get_boolean (gsettings, key);
#line 55 "settings.vala"
	_g_object_unref0 (gsettings);
#line 55 "settings.vala"
	return result;
#line 158 "settings.c"
}

gboolean
ug_settings_safe_get_boolean (const gchar* key,
                              gboolean _default_)
{
	GSettings* gsettings = NULL;
	GSettings* _tmp0_;
	gchar** keys = NULL;
	GSettings* _tmp1_;
	gchar** _tmp2_;
	gchar** _tmp3_;
	gint keys_length1;
	gint _keys_size_;
	gchar** _tmp4_;
	gint _tmp4__length1;
	gboolean result = FALSE;
#line 59 "settings.vala"
	g_return_val_if_fail (key != NULL, FALSE);
#line 61 "settings.vala"
	_tmp0_ = g_settings_new (UG_SETTINGS_SCHEMA);
#line 61 "settings.vala"
	gsettings = _tmp0_;
#line 62 "settings.vala"
	_tmp1_ = gsettings;
#line 62 "settings.vala"
	_tmp3_ = _tmp2_ = g_settings_list_keys (_tmp1_);
#line 62 "settings.vala"
	keys = _tmp3_;
#line 62 "settings.vala"
	keys_length1 = _vala_array_length (_tmp2_);
#line 62 "settings.vala"
	_keys_size_ = keys_length1;
#line 63 "settings.vala"
	_tmp4_ = keys;
#line 63 "settings.vala"
	_tmp4__length1 = keys_length1;
#line 196 "settings.c"
	{
		gchar** k_collection = NULL;
		gint k_collection_length1 = 0;
		gint _k_collection_size_ = 0;
		gint k_it = 0;
#line 63 "settings.vala"
		k_collection = _tmp4_;
#line 63 "settings.vala"
		k_collection_length1 = _tmp4__length1;
#line 63 "settings.vala"
		for (k_it = 0; k_it < k_collection_length1; k_it = k_it + 1) {
#line 208 "settings.c"
			gchar* _tmp5_;
			gchar* k = NULL;
#line 63 "settings.vala"
			_tmp5_ = g_strdup (k_collection[k_it]);
#line 63 "settings.vala"
			k = _tmp5_;
#line 215 "settings.c"
			{
				const gchar* _tmp6_;
#line 64 "settings.vala"
				_tmp6_ = k;
#line 64 "settings.vala"
				if (g_strcmp0 (_tmp6_, key) == 0) {
#line 222 "settings.c"
					GSettings* _tmp7_;
#line 65 "settings.vala"
					_tmp7_ = gsettings;
#line 65 "settings.vala"
					result = g_settings_get_boolean (_tmp7_, key);
#line 65 "settings.vala"
					_g_free0 (k);
#line 65 "settings.vala"
					keys = (_vala_array_free (keys, keys_length1, (GDestroyNotify) g_free), NULL);
#line 65 "settings.vala"
					_g_object_unref0 (gsettings);
#line 65 "settings.vala"
					return result;
#line 236 "settings.c"
				}
#line 63 "settings.vala"
				_g_free0 (k);
#line 240 "settings.c"
			}
		}
	}
#line 68 "settings.vala"
	result = _default_;
#line 68 "settings.vala"
	keys = (_vala_array_free (keys, keys_length1, (GDestroyNotify) g_free), NULL);
#line 68 "settings.vala"
	_g_object_unref0 (gsettings);
#line 68 "settings.vala"
	return result;
#line 252 "settings.c"
}

gint
ug_settings_get_integer (const gchar* key)
{
	GSettings* gsettings = NULL;
	GSettings* _tmp0_;
	gint result = 0;
#line 71 "settings.vala"
	g_return_val_if_fail (key != NULL, 0);
#line 73 "settings.vala"
	_tmp0_ = g_settings_new (UG_SETTINGS_SCHEMA);
#line 73 "settings.vala"
	gsettings = _tmp0_;
#line 74 "settings.vala"
	result = g_settings_get_int (gsettings, key);
#line 74 "settings.vala"
	_g_object_unref0 (gsettings);
#line 74 "settings.vala"
	return result;
#line 273 "settings.c"
}

gdouble
ug_settings_get_double (const gchar* key)
{
	GSettings* gsettings = NULL;
	GSettings* _tmp0_;
	gdouble result = 0.0;
#line 77 "settings.vala"
	g_return_val_if_fail (key != NULL, 0.0);
#line 79 "settings.vala"
	_tmp0_ = g_settings_new (UG_SETTINGS_SCHEMA);
#line 79 "settings.vala"
	gsettings = _tmp0_;
#line 80 "settings.vala"
	result = g_settings_get_double (gsettings, key);
#line 80 "settings.vala"
	_g_object_unref0 (gsettings);
#line 80 "settings.vala"
	return result;
#line 294 "settings.c"
}

gchar*
ug_settings_get_string (const gchar* key)
{
	GSettings* gsettings = NULL;
	GSettings* _tmp0_;
	gchar* _tmp1_;
	gchar* result = NULL;
#line 83 "settings.vala"
	g_return_val_if_fail (key != NULL, NULL);
#line 85 "settings.vala"
	_tmp0_ = g_settings_new (UG_SETTINGS_SCHEMA);
#line 85 "settings.vala"
	gsettings = _tmp0_;
#line 86 "settings.vala"
	_tmp1_ = g_settings_get_string (gsettings, key);
#line 86 "settings.vala"
	result = _tmp1_;
#line 86 "settings.vala"
	_g_object_unref0 (gsettings);
#line 86 "settings.vala"
	return result;
#line 318 "settings.c"
}

gboolean
ug_settings_set_boolean (const gchar* key,
                         gboolean value)
{
	GSettings* gsettings = NULL;
	GSettings* _tmp0_;
	gboolean result = FALSE;
#line 89 "settings.vala"
	g_return_val_if_fail (key != NULL, FALSE);
#line 91 "settings.vala"
	_tmp0_ = g_settings_new (UG_SETTINGS_SCHEMA);
#line 91 "settings.vala"
	gsettings = _tmp0_;
#line 92 "settings.vala"
	result = g_settings_set_boolean (gsettings, key, value);
#line 92 "settings.vala"
	_g_object_unref0 (gsettings);
#line 92 "settings.vala"
	return result;
#line 340 "settings.c"
}

gchar**
ug_settings_get_strv (const gchar* key,
                      gint* result_length1)
{
	GSettings* gsettings = NULL;
	GSettings* _tmp0_;
	gchar** _tmp1_;
	gchar** _tmp2_;
	gchar** _tmp3_;
	gint _tmp3__length1;
	gchar** result = NULL;
#line 95 "settings.vala"
	g_return_val_if_fail (key != NULL, NULL);
#line 97 "settings.vala"
	_tmp0_ = g_settings_new (UG_SETTINGS_SCHEMA);
#line 97 "settings.vala"
	gsettings = _tmp0_;
#line 98 "settings.vala"
	_tmp2_ = _tmp1_ = g_settings_get_strv (gsettings, key);
#line 98 "settings.vala"
	_tmp3_ = _tmp2_;
#line 98 "settings.vala"
	_tmp3__length1 = _vala_array_length (_tmp1_);
#line 98 "settings.vala"
	if (result_length1) {
#line 98 "settings.vala"
		*result_length1 = _tmp3__length1;
#line 370 "settings.c"
	}
#line 98 "settings.vala"
	result = _tmp3_;
#line 98 "settings.vala"
	_g_object_unref0 (gsettings);
#line 98 "settings.vala"
	return result;
#line 378 "settings.c"
}

gboolean
ug_settings_set_strv (const gchar* key,
                      gchar** value,
                      gint value_length1)
{
	GSettings* gsettings = NULL;
	GSettings* _tmp0_;
	gboolean result = FALSE;
#line 101 "settings.vala"
	g_return_val_if_fail (key != NULL, FALSE);
#line 103 "settings.vala"
	_tmp0_ = g_settings_new (UG_SETTINGS_SCHEMA);
#line 103 "settings.vala"
	gsettings = _tmp0_;
#line 104 "settings.vala"
	result = g_settings_set_strv (gsettings, key, value);
#line 104 "settings.vala"
	_g_object_unref0 (gsettings);
#line 104 "settings.vala"
	return result;
#line 401 "settings.c"
}

static void
_g_free0_ (gpointer var)
{
#line 154 "settings.vala"
	var = (g_free (var), NULL);
#line 409 "settings.c"
}

static inline void
_g_list_free__g_free0_ (GList* self)
{
#line 154 "settings.vala"
	g_list_free_full (self, (GDestroyNotify) _g_free0_);
#line 417 "settings.c"
}

void
ug_settings_apply_conf_settings (void)
{
	GError* _inner_error0_ = NULL;
	{
		gchar* path = NULL;
		gchar* _tmp0_;
		GSettings* gsettings = NULL;
		GSettings* _tmp1_;
		GKeyFile* keyfile = NULL;
		GKeyFile* _tmp2_;
		const gchar* _tmp3_;
		GList* string_keys = NULL;
		gchar* _tmp6_;
		gchar* _tmp7_;
		gchar* _tmp8_;
		gchar* _tmp9_;
		gchar* _tmp10_;
		gchar* _tmp11_;
		gchar* _tmp12_;
		gchar* _tmp13_;
		gchar* _tmp14_;
		gchar* _tmp15_;
		gchar* _tmp16_;
		gchar* _tmp17_;
		GList* bool_keys = NULL;
		gchar* _tmp18_;
		gchar* _tmp19_;
		gchar* _tmp20_;
		gchar* _tmp21_;
		gchar* _tmp22_;
		gchar* _tmp23_;
		gchar* _tmp24_;
		gchar* _tmp25_;
		gchar* _tmp26_;
		gchar* _tmp27_;
		GList* int_keys = NULL;
		gchar* _tmp28_;
		GList* strv_keys = NULL;
		gchar* _tmp29_;
		gchar* _tmp30_;
		GList* _tmp31_;
		GList* _tmp52_;
		GList* _tmp70_;
		GList* _tmp88_;
#line 110 "settings.vala"
		_tmp0_ = g_strdup ("/etc/lightdm/slick-greeter.conf");
#line 110 "settings.vala"
		path = _tmp0_;
#line 111 "settings.vala"
		_tmp1_ = g_settings_new (UG_SETTINGS_SCHEMA);
#line 111 "settings.vala"
		gsettings = _tmp1_;
#line 112 "settings.vala"
		_tmp2_ = g_key_file_new ();
#line 112 "settings.vala"
		keyfile = _tmp2_;
#line 114 "settings.vala"
		_tmp3_ = path;
#line 114 "settings.vala"
		if (g_file_test (_tmp3_, G_FILE_TEST_EXISTS)) {
#line 481 "settings.c"
			GKeyFile* _tmp4_;
			const gchar* _tmp5_;
#line 116 "settings.vala"
			_tmp4_ = keyfile;
#line 116 "settings.vala"
			_tmp5_ = path;
#line 116 "settings.vala"
			g_key_file_load_from_file (_tmp4_, _tmp5_, G_KEY_FILE_NONE, &_inner_error0_);
#line 116 "settings.vala"
			if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 116 "settings.vala"
				_g_key_file_unref0 (keyfile);
#line 116 "settings.vala"
				_g_object_unref0 (gsettings);
#line 116 "settings.vala"
				_g_free0 (path);
#line 498 "settings.c"
				goto __catch23_g_error;
			}
		}
#line 119 "settings.vala"
		string_keys = NULL;
#line 120 "settings.vala"
		_tmp6_ = g_strdup (UG_SETTINGS_KEY_BACKGROUND);
#line 120 "settings.vala"
		string_keys = g_list_append (string_keys, _tmp6_);
#line 121 "settings.vala"
		_tmp7_ = g_strdup (UG_SETTINGS_KEY_BACKGROUND_COLOR);
#line 121 "settings.vala"
		string_keys = g_list_append (string_keys, _tmp7_);
#line 122 "settings.vala"
		_tmp8_ = g_strdup (UG_SETTINGS_KEY_LOGO);
#line 122 "settings.vala"
		string_keys = g_list_append (string_keys, _tmp8_);
#line 123 "settings.vala"
		_tmp9_ = g_strdup (UG_SETTINGS_KEY_OTHER_MONITORS_LOGO);
#line 123 "settings.vala"
		string_keys = g_list_append (string_keys, _tmp9_);
#line 124 "settings.vala"
		_tmp10_ = g_strdup (UG_SETTINGS_KEY_THEME_NAME);
#line 124 "settings.vala"
		string_keys = g_list_append (string_keys, _tmp10_);
#line 125 "settings.vala"
		_tmp11_ = g_strdup (UG_SETTINGS_KEY_ICON_THEME_NAME);
#line 125 "settings.vala"
		string_keys = g_list_append (string_keys, _tmp11_);
#line 126 "settings.vala"
		_tmp12_ = g_strdup (UG_SETTINGS_KEY_FONT_NAME);
#line 126 "settings.vala"
		string_keys = g_list_append (string_keys, _tmp12_);
#line 127 "settings.vala"
		_tmp13_ = g_strdup (UG_SETTINGS_KEY_PLAY_READY_SOUND);
#line 127 "settings.vala"
		string_keys = g_list_append (string_keys, _tmp13_);
#line 128 "settings.vala"
		_tmp14_ = g_strdup (UG_SETTINGS_KEY_XFT_HINTSTYLE);
#line 128 "settings.vala"
		string_keys = g_list_append (string_keys, _tmp14_);
#line 129 "settings.vala"
		_tmp15_ = g_strdup (UG_SETTINGS_KEY_XFT_RGBA);
#line 129 "settings.vala"
		string_keys = g_list_append (string_keys, _tmp15_);
#line 130 "settings.vala"
		_tmp16_ = g_strdup (UG_SETTINGS_KEY_ENABLE_HIDPI);
#line 130 "settings.vala"
		string_keys = g_list_append (string_keys, _tmp16_);
#line 131 "settings.vala"
		_tmp17_ = g_strdup (UG_SETTINGS_KEY_ONLY_ON_MONITOR);
#line 131 "settings.vala"
		string_keys = g_list_append (string_keys, _tmp17_);
#line 133 "settings.vala"
		bool_keys = NULL;
#line 134 "settings.vala"
		_tmp18_ = g_strdup (UG_SETTINGS_KEY_DRAW_USER_BACKGROUNDS);
#line 134 "settings.vala"
		bool_keys = g_list_append (bool_keys, _tmp18_);
#line 135 "settings.vala"
		_tmp19_ = g_strdup (UG_SETTINGS_KEY_DRAW_GRID);
#line 135 "settings.vala"
		bool_keys = g_list_append (bool_keys, _tmp19_);
#line 136 "settings.vala"
		_tmp20_ = g_strdup (UG_SETTINGS_KEY_SHOW_HOSTNAME);
#line 136 "settings.vala"
		bool_keys = g_list_append (bool_keys, _tmp20_);
#line 137 "settings.vala"
		_tmp21_ = g_strdup (UG_SETTINGS_KEY_SHOW_POWER);
#line 137 "settings.vala"
		bool_keys = g_list_append (bool_keys, _tmp21_);
#line 138 "settings.vala"
		_tmp22_ = g_strdup (UG_SETTINGS_KEY_SHOW_A11Y);
#line 138 "settings.vala"
		bool_keys = g_list_append (bool_keys, _tmp22_);
#line 139 "settings.vala"
		_tmp23_ = g_strdup (UG_SETTINGS_KEY_SHOW_CLOCK);
#line 139 "settings.vala"
		bool_keys = g_list_append (bool_keys, _tmp23_);
#line 140 "settings.vala"
		_tmp24_ = g_strdup (UG_SETTINGS_KEY_SHOW_KEYBOARD);
#line 140 "settings.vala"
		bool_keys = g_list_append (bool_keys, _tmp24_);
#line 141 "settings.vala"
		_tmp25_ = g_strdup (UG_SETTINGS_KEY_SHOW_QUIT);
#line 141 "settings.vala"
		bool_keys = g_list_append (bool_keys, _tmp25_);
#line 142 "settings.vala"
		_tmp26_ = g_strdup (UG_SETTINGS_KEY_XFT_ANTIALIAS);
#line 142 "settings.vala"
		bool_keys = g_list_append (bool_keys, _tmp26_);
#line 143 "settings.vala"
		_tmp27_ = g_strdup (UG_SETTINGS_KEY_ACTIVATE_NUMLOCK);
#line 143 "settings.vala"
		bool_keys = g_list_append (bool_keys, _tmp27_);
#line 145 "settings.vala"
		int_keys = NULL;
#line 146 "settings.vala"
		_tmp28_ = g_strdup (UG_SETTINGS_KEY_XFT_DPI);
#line 146 "settings.vala"
		int_keys = g_list_append (int_keys, _tmp28_);
#line 148 "settings.vala"
		strv_keys = NULL;
#line 149 "settings.vala"
		_tmp29_ = g_strdup (UG_SETTINGS_KEY_HIDDEN_USERS);
#line 149 "settings.vala"
		strv_keys = g_list_append (strv_keys, _tmp29_);
#line 150 "settings.vala"
		_tmp30_ = g_strdup (UG_SETTINGS_KEY_GROUP_FILTER);
#line 150 "settings.vala"
		strv_keys = g_list_append (strv_keys, _tmp30_);
#line 152 "settings.vala"
		_tmp31_ = string_keys;
#line 612 "settings.c"
		{
			GList* key_collection = NULL;
			GList* key_it = NULL;
#line 152 "settings.vala"
			key_collection = _tmp31_;
#line 152 "settings.vala"
			for (key_it = key_collection; key_it != NULL; key_it = key_it->next) {
#line 620 "settings.c"
				gchar* _tmp32_;
				gchar* key = NULL;
#line 152 "settings.vala"
				_tmp32_ = g_strdup ((const gchar*) key_it->data);
#line 152 "settings.vala"
				key = _tmp32_;
#line 627 "settings.c"
				{
					gboolean _tmp33_ = FALSE;
					GKeyFile* _tmp34_;
#line 154 "settings.vala"
					_tmp34_ = keyfile;
#line 154 "settings.vala"
					if (g_key_file_has_group (_tmp34_, UG_SETTINGS_GROUP_NAME)) {
#line 635 "settings.c"
						gboolean _tmp35_ = FALSE;
						GKeyFile* _tmp36_;
						const gchar* _tmp37_;
#line 154 "settings.vala"
						_tmp36_ = keyfile;
#line 154 "settings.vala"
						_tmp37_ = key;
#line 154 "settings.vala"
						_tmp35_ = g_key_file_has_key (_tmp36_, UG_SETTINGS_GROUP_NAME, _tmp37_, &_inner_error0_);
#line 154 "settings.vala"
						if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 154 "settings.vala"
							_g_free0 (key);
#line 154 "settings.vala"
							(strv_keys == NULL) ? NULL : (strv_keys = (_g_list_free__g_free0_ (strv_keys), NULL));
#line 154 "settings.vala"
							(int_keys == NULL) ? NULL : (int_keys = (_g_list_free__g_free0_ (int_keys), NULL));
#line 154 "settings.vala"
							(bool_keys == NULL) ? NULL : (bool_keys = (_g_list_free__g_free0_ (bool_keys), NULL));
#line 154 "settings.vala"
							(string_keys == NULL) ? NULL : (string_keys = (_g_list_free__g_free0_ (string_keys), NULL));
#line 154 "settings.vala"
							_g_key_file_unref0 (keyfile);
#line 154 "settings.vala"
							_g_object_unref0 (gsettings);
#line 154 "settings.vala"
							_g_free0 (path);
#line 663 "settings.c"
							goto __catch23_g_error;
						}
#line 154 "settings.vala"
						_tmp33_ = _tmp35_;
#line 668 "settings.c"
					} else {
#line 154 "settings.vala"
						_tmp33_ = FALSE;
#line 672 "settings.c"
					}
#line 154 "settings.vala"
					if (_tmp33_) {
#line 676 "settings.c"
						{
							gchar* value = NULL;
							GKeyFile* _tmp38_;
							const gchar* _tmp39_;
							gchar* _tmp40_;
							const gchar* _tmp41_;
							const gchar* _tmp42_;
							GSettings* _tmp43_;
							const gchar* _tmp44_;
							const gchar* _tmp45_;
#line 156 "settings.vala"
							_tmp38_ = keyfile;
#line 156 "settings.vala"
							_tmp39_ = key;
#line 156 "settings.vala"
							_tmp40_ = g_key_file_get_string (_tmp38_, UG_SETTINGS_GROUP_NAME, _tmp39_, &_inner_error0_);
#line 156 "settings.vala"
							value = _tmp40_;
#line 156 "settings.vala"
							if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 697 "settings.c"
								goto __catch24_g_error;
							}
#line 157 "settings.vala"
							_tmp41_ = key;
#line 157 "settings.vala"
							_tmp42_ = value;
#line 157 "settings.vala"
							g_debug ("settings.vala:157: Overriding dconf setting for %s with %s", _tmp41_, _tmp42_);
#line 158 "settings.vala"
							_tmp43_ = gsettings;
#line 158 "settings.vala"
							_tmp44_ = key;
#line 158 "settings.vala"
							_tmp45_ = value;
#line 158 "settings.vala"
							g_settings_set_string (_tmp43_, _tmp44_, _tmp45_);
#line 155 "settings.vala"
							_g_free0 (value);
#line 716 "settings.c"
						}
						goto __finally24;
						__catch24_g_error:
						{
							GError* e = NULL;
							const gchar* _tmp46_;
							GError* _tmp47_;
							const gchar* _tmp48_;
#line 155 "settings.vala"
							e = _inner_error0_;
#line 155 "settings.vala"
							_inner_error0_ = NULL;
#line 161 "settings.vala"
							_tmp46_ = key;
#line 161 "settings.vala"
							_tmp47_ = e;
#line 161 "settings.vala"
							_tmp48_ = _tmp47_->message;
#line 161 "settings.vala"
							g_warning ("settings.vala:161: Failed to apply %s from configuration file: %s", _tmp46_, _tmp48_);
#line 155 "settings.vala"
							_g_error_free0 (e);
#line 739 "settings.c"
						}
						__finally24:
#line 155 "settings.vala"
						if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 155 "settings.vala"
							_g_free0 (key);
#line 155 "settings.vala"
							(strv_keys == NULL) ? NULL : (strv_keys = (_g_list_free__g_free0_ (strv_keys), NULL));
#line 155 "settings.vala"
							(int_keys == NULL) ? NULL : (int_keys = (_g_list_free__g_free0_ (int_keys), NULL));
#line 155 "settings.vala"
							(bool_keys == NULL) ? NULL : (bool_keys = (_g_list_free__g_free0_ (bool_keys), NULL));
#line 155 "settings.vala"
							(string_keys == NULL) ? NULL : (string_keys = (_g_list_free__g_free0_ (string_keys), NULL));
#line 155 "settings.vala"
							_g_key_file_unref0 (keyfile);
#line 155 "settings.vala"
							_g_object_unref0 (gsettings);
#line 155 "settings.vala"
							_g_free0 (path);
#line 760 "settings.c"
							goto __catch23_g_error;
						}
					} else {
						GSettings* _tmp49_;
						const gchar* _tmp50_;
						const gchar* _tmp51_;
#line 165 "settings.vala"
						_tmp49_ = gsettings;
#line 165 "settings.vala"
						_tmp50_ = key;
#line 165 "settings.vala"
						g_settings_reset (_tmp49_, _tmp50_);
#line 166 "settings.vala"
						_tmp51_ = key;
#line 166 "settings.vala"
						g_debug ("settings.vala:166: Resetting dconf setting for %s to default", _tmp51_);
#line 777 "settings.c"
					}
#line 152 "settings.vala"
					_g_free0 (key);
#line 781 "settings.c"
				}
			}
		}
#line 170 "settings.vala"
		_tmp52_ = bool_keys;
#line 787 "settings.c"
		{
			GList* key_collection = NULL;
			GList* key_it = NULL;
#line 170 "settings.vala"
			key_collection = _tmp52_;
#line 170 "settings.vala"
			for (key_it = key_collection; key_it != NULL; key_it = key_it->next) {
#line 795 "settings.c"
				gchar* _tmp53_;
				gchar* key = NULL;
#line 170 "settings.vala"
				_tmp53_ = g_strdup ((const gchar*) key_it->data);
#line 170 "settings.vala"
				key = _tmp53_;
#line 802 "settings.c"
				{
					gboolean _tmp54_ = FALSE;
					GKeyFile* _tmp55_;
#line 172 "settings.vala"
					_tmp55_ = keyfile;
#line 172 "settings.vala"
					if (g_key_file_has_group (_tmp55_, UG_SETTINGS_GROUP_NAME)) {
#line 810 "settings.c"
						gboolean _tmp56_ = FALSE;
						GKeyFile* _tmp57_;
						const gchar* _tmp58_;
#line 172 "settings.vala"
						_tmp57_ = keyfile;
#line 172 "settings.vala"
						_tmp58_ = key;
#line 172 "settings.vala"
						_tmp56_ = g_key_file_has_key (_tmp57_, UG_SETTINGS_GROUP_NAME, _tmp58_, &_inner_error0_);
#line 172 "settings.vala"
						if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 172 "settings.vala"
							_g_free0 (key);
#line 172 "settings.vala"
							(strv_keys == NULL) ? NULL : (strv_keys = (_g_list_free__g_free0_ (strv_keys), NULL));
#line 172 "settings.vala"
							(int_keys == NULL) ? NULL : (int_keys = (_g_list_free__g_free0_ (int_keys), NULL));
#line 172 "settings.vala"
							(bool_keys == NULL) ? NULL : (bool_keys = (_g_list_free__g_free0_ (bool_keys), NULL));
#line 172 "settings.vala"
							(string_keys == NULL) ? NULL : (string_keys = (_g_list_free__g_free0_ (string_keys), NULL));
#line 172 "settings.vala"
							_g_key_file_unref0 (keyfile);
#line 172 "settings.vala"
							_g_object_unref0 (gsettings);
#line 172 "settings.vala"
							_g_free0 (path);
#line 838 "settings.c"
							goto __catch23_g_error;
						}
#line 172 "settings.vala"
						_tmp54_ = _tmp56_;
#line 843 "settings.c"
					} else {
#line 172 "settings.vala"
						_tmp54_ = FALSE;
#line 847 "settings.c"
					}
#line 172 "settings.vala"
					if (_tmp54_) {
#line 851 "settings.c"
						{
							gboolean value = FALSE;
							GKeyFile* _tmp59_;
							const gchar* _tmp60_;
							const gchar* _tmp61_;
							GSettings* _tmp62_;
							const gchar* _tmp63_;
#line 174 "settings.vala"
							_tmp59_ = keyfile;
#line 174 "settings.vala"
							_tmp60_ = key;
#line 174 "settings.vala"
							value = g_key_file_get_boolean (_tmp59_, UG_SETTINGS_GROUP_NAME, _tmp60_, &_inner_error0_);
#line 174 "settings.vala"
							if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 867 "settings.c"
								goto __catch25_g_error;
							}
#line 175 "settings.vala"
							_tmp61_ = key;
#line 175 "settings.vala"
							g_debug ("settings.vala:175: Overriding dconf setting for %s", _tmp61_);
#line 176 "settings.vala"
							_tmp62_ = gsettings;
#line 176 "settings.vala"
							_tmp63_ = key;
#line 176 "settings.vala"
							g_settings_set_boolean (_tmp62_, _tmp63_, value);
#line 880 "settings.c"
						}
						goto __finally25;
						__catch25_g_error:
						{
							GError* e = NULL;
							const gchar* _tmp64_;
							GError* _tmp65_;
							const gchar* _tmp66_;
#line 173 "settings.vala"
							e = _inner_error0_;
#line 173 "settings.vala"
							_inner_error0_ = NULL;
#line 179 "settings.vala"
							_tmp64_ = key;
#line 179 "settings.vala"
							_tmp65_ = e;
#line 179 "settings.vala"
							_tmp66_ = _tmp65_->message;
#line 179 "settings.vala"
							g_warning ("settings.vala:179: Failed to apply %s from configuration file: %s", _tmp64_, _tmp66_);
#line 173 "settings.vala"
							_g_error_free0 (e);
#line 903 "settings.c"
						}
						__finally25:
#line 173 "settings.vala"
						if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 173 "settings.vala"
							_g_free0 (key);
#line 173 "settings.vala"
							(strv_keys == NULL) ? NULL : (strv_keys = (_g_list_free__g_free0_ (strv_keys), NULL));
#line 173 "settings.vala"
							(int_keys == NULL) ? NULL : (int_keys = (_g_list_free__g_free0_ (int_keys), NULL));
#line 173 "settings.vala"
							(bool_keys == NULL) ? NULL : (bool_keys = (_g_list_free__g_free0_ (bool_keys), NULL));
#line 173 "settings.vala"
							(string_keys == NULL) ? NULL : (string_keys = (_g_list_free__g_free0_ (string_keys), NULL));
#line 173 "settings.vala"
							_g_key_file_unref0 (keyfile);
#line 173 "settings.vala"
							_g_object_unref0 (gsettings);
#line 173 "settings.vala"
							_g_free0 (path);
#line 924 "settings.c"
							goto __catch23_g_error;
						}
					} else {
						GSettings* _tmp67_;
						const gchar* _tmp68_;
						const gchar* _tmp69_;
#line 183 "settings.vala"
						_tmp67_ = gsettings;
#line 183 "settings.vala"
						_tmp68_ = key;
#line 183 "settings.vala"
						g_settings_reset (_tmp67_, _tmp68_);
#line 184 "settings.vala"
						_tmp69_ = key;
#line 184 "settings.vala"
						g_debug ("settings.vala:184: Resetting dconf setting for %s to default", _tmp69_);
#line 941 "settings.c"
					}
#line 170 "settings.vala"
					_g_free0 (key);
#line 945 "settings.c"
				}
			}
		}
#line 188 "settings.vala"
		_tmp70_ = int_keys;
#line 951 "settings.c"
		{
			GList* key_collection = NULL;
			GList* key_it = NULL;
#line 188 "settings.vala"
			key_collection = _tmp70_;
#line 188 "settings.vala"
			for (key_it = key_collection; key_it != NULL; key_it = key_it->next) {
#line 959 "settings.c"
				gchar* _tmp71_;
				gchar* key = NULL;
#line 188 "settings.vala"
				_tmp71_ = g_strdup ((const gchar*) key_it->data);
#line 188 "settings.vala"
				key = _tmp71_;
#line 966 "settings.c"
				{
					gboolean _tmp72_ = FALSE;
					GKeyFile* _tmp73_;
#line 190 "settings.vala"
					_tmp73_ = keyfile;
#line 190 "settings.vala"
					if (g_key_file_has_group (_tmp73_, UG_SETTINGS_GROUP_NAME)) {
#line 974 "settings.c"
						gboolean _tmp74_ = FALSE;
						GKeyFile* _tmp75_;
						const gchar* _tmp76_;
#line 190 "settings.vala"
						_tmp75_ = keyfile;
#line 190 "settings.vala"
						_tmp76_ = key;
#line 190 "settings.vala"
						_tmp74_ = g_key_file_has_key (_tmp75_, UG_SETTINGS_GROUP_NAME, _tmp76_, &_inner_error0_);
#line 190 "settings.vala"
						if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 190 "settings.vala"
							_g_free0 (key);
#line 190 "settings.vala"
							(strv_keys == NULL) ? NULL : (strv_keys = (_g_list_free__g_free0_ (strv_keys), NULL));
#line 190 "settings.vala"
							(int_keys == NULL) ? NULL : (int_keys = (_g_list_free__g_free0_ (int_keys), NULL));
#line 190 "settings.vala"
							(bool_keys == NULL) ? NULL : (bool_keys = (_g_list_free__g_free0_ (bool_keys), NULL));
#line 190 "settings.vala"
							(string_keys == NULL) ? NULL : (string_keys = (_g_list_free__g_free0_ (string_keys), NULL));
#line 190 "settings.vala"
							_g_key_file_unref0 (keyfile);
#line 190 "settings.vala"
							_g_object_unref0 (gsettings);
#line 190 "settings.vala"
							_g_free0 (path);
#line 1002 "settings.c"
							goto __catch23_g_error;
						}
#line 190 "settings.vala"
						_tmp72_ = _tmp74_;
#line 1007 "settings.c"
					} else {
#line 190 "settings.vala"
						_tmp72_ = FALSE;
#line 1011 "settings.c"
					}
#line 190 "settings.vala"
					if (_tmp72_) {
#line 1015 "settings.c"
						{
							gint value = 0;
							GKeyFile* _tmp77_;
							const gchar* _tmp78_;
							const gchar* _tmp79_;
							GSettings* _tmp80_;
							const gchar* _tmp81_;
#line 192 "settings.vala"
							_tmp77_ = keyfile;
#line 192 "settings.vala"
							_tmp78_ = key;
#line 192 "settings.vala"
							value = g_key_file_get_integer (_tmp77_, UG_SETTINGS_GROUP_NAME, _tmp78_, &_inner_error0_);
#line 192 "settings.vala"
							if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 1031 "settings.c"
								goto __catch26_g_error;
							}
#line 193 "settings.vala"
							_tmp79_ = key;
#line 193 "settings.vala"
							g_debug ("settings.vala:193: Overriding dconf setting for %s with %d", _tmp79_, value);
#line 194 "settings.vala"
							_tmp80_ = gsettings;
#line 194 "settings.vala"
							_tmp81_ = key;
#line 194 "settings.vala"
							g_settings_set_int (_tmp80_, _tmp81_, value);
#line 1044 "settings.c"
						}
						goto __finally26;
						__catch26_g_error:
						{
							GError* e = NULL;
							const gchar* _tmp82_;
							GError* _tmp83_;
							const gchar* _tmp84_;
#line 191 "settings.vala"
							e = _inner_error0_;
#line 191 "settings.vala"
							_inner_error0_ = NULL;
#line 197 "settings.vala"
							_tmp82_ = key;
#line 197 "settings.vala"
							_tmp83_ = e;
#line 197 "settings.vala"
							_tmp84_ = _tmp83_->message;
#line 197 "settings.vala"
							g_warning ("settings.vala:197: Failed to apply %s from configuration file: %s", _tmp82_, _tmp84_);
#line 191 "settings.vala"
							_g_error_free0 (e);
#line 1067 "settings.c"
						}
						__finally26:
#line 191 "settings.vala"
						if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 191 "settings.vala"
							_g_free0 (key);
#line 191 "settings.vala"
							(strv_keys == NULL) ? NULL : (strv_keys = (_g_list_free__g_free0_ (strv_keys), NULL));
#line 191 "settings.vala"
							(int_keys == NULL) ? NULL : (int_keys = (_g_list_free__g_free0_ (int_keys), NULL));
#line 191 "settings.vala"
							(bool_keys == NULL) ? NULL : (bool_keys = (_g_list_free__g_free0_ (bool_keys), NULL));
#line 191 "settings.vala"
							(string_keys == NULL) ? NULL : (string_keys = (_g_list_free__g_free0_ (string_keys), NULL));
#line 191 "settings.vala"
							_g_key_file_unref0 (keyfile);
#line 191 "settings.vala"
							_g_object_unref0 (gsettings);
#line 191 "settings.vala"
							_g_free0 (path);
#line 1088 "settings.c"
							goto __catch23_g_error;
						}
					} else {
						GSettings* _tmp85_;
						const gchar* _tmp86_;
						const gchar* _tmp87_;
#line 201 "settings.vala"
						_tmp85_ = gsettings;
#line 201 "settings.vala"
						_tmp86_ = key;
#line 201 "settings.vala"
						g_settings_reset (_tmp85_, _tmp86_);
#line 202 "settings.vala"
						_tmp87_ = key;
#line 202 "settings.vala"
						g_debug ("settings.vala:202: Resetting dconf setting for %s to default", _tmp87_);
#line 1105 "settings.c"
					}
#line 188 "settings.vala"
					_g_free0 (key);
#line 1109 "settings.c"
				}
			}
		}
#line 206 "settings.vala"
		_tmp88_ = strv_keys;
#line 1115 "settings.c"
		{
			GList* key_collection = NULL;
			GList* key_it = NULL;
#line 206 "settings.vala"
			key_collection = _tmp88_;
#line 206 "settings.vala"
			for (key_it = key_collection; key_it != NULL; key_it = key_it->next) {
#line 1123 "settings.c"
				gchar* _tmp89_;
				gchar* key = NULL;
#line 206 "settings.vala"
				_tmp89_ = g_strdup ((const gchar*) key_it->data);
#line 206 "settings.vala"
				key = _tmp89_;
#line 1130 "settings.c"
				{
					gboolean _tmp90_ = FALSE;
					GKeyFile* _tmp91_;
#line 208 "settings.vala"
					_tmp91_ = keyfile;
#line 208 "settings.vala"
					if (g_key_file_has_group (_tmp91_, UG_SETTINGS_GROUP_NAME)) {
#line 1138 "settings.c"
						gboolean _tmp92_ = FALSE;
						GKeyFile* _tmp93_;
						const gchar* _tmp94_;
#line 208 "settings.vala"
						_tmp93_ = keyfile;
#line 208 "settings.vala"
						_tmp94_ = key;
#line 208 "settings.vala"
						_tmp92_ = g_key_file_has_key (_tmp93_, UG_SETTINGS_GROUP_NAME, _tmp94_, &_inner_error0_);
#line 208 "settings.vala"
						if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 208 "settings.vala"
							_g_free0 (key);
#line 208 "settings.vala"
							(strv_keys == NULL) ? NULL : (strv_keys = (_g_list_free__g_free0_ (strv_keys), NULL));
#line 208 "settings.vala"
							(int_keys == NULL) ? NULL : (int_keys = (_g_list_free__g_free0_ (int_keys), NULL));
#line 208 "settings.vala"
							(bool_keys == NULL) ? NULL : (bool_keys = (_g_list_free__g_free0_ (bool_keys), NULL));
#line 208 "settings.vala"
							(string_keys == NULL) ? NULL : (string_keys = (_g_list_free__g_free0_ (string_keys), NULL));
#line 208 "settings.vala"
							_g_key_file_unref0 (keyfile);
#line 208 "settings.vala"
							_g_object_unref0 (gsettings);
#line 208 "settings.vala"
							_g_free0 (path);
#line 1166 "settings.c"
							goto __catch23_g_error;
						}
#line 208 "settings.vala"
						_tmp90_ = _tmp92_;
#line 1171 "settings.c"
					} else {
#line 208 "settings.vala"
						_tmp90_ = FALSE;
#line 1175 "settings.c"
					}
#line 208 "settings.vala"
					if (_tmp90_) {
#line 1179 "settings.c"
						{
							gchar** value = NULL;
							GKeyFile* _tmp95_;
							const gchar* _tmp96_;
							gsize _tmp97_ = 0;
							gchar** _tmp98_;
							gint value_length1;
							gint _value_size_;
							const gchar* _tmp99_;
							GSettings* _tmp100_;
							const gchar* _tmp101_;
							gchar** _tmp102_;
							gint _tmp102__length1;
#line 210 "settings.vala"
							_tmp95_ = keyfile;
#line 210 "settings.vala"
							_tmp96_ = key;
#line 210 "settings.vala"
							_tmp98_ = g_key_file_get_string_list (_tmp95_, UG_SETTINGS_GROUP_NAME, _tmp96_, &_tmp97_, &_inner_error0_);
#line 210 "settings.vala"
							value = _tmp98_;
#line 210 "settings.vala"
							value_length1 = _tmp97_;
#line 210 "settings.vala"
							_value_size_ = value_length1;
#line 210 "settings.vala"
							if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 1207 "settings.c"
								goto __catch27_g_error;
							}
#line 211 "settings.vala"
							_tmp99_ = key;
#line 211 "settings.vala"
							g_debug ("settings.vala:211: Overriding dconf setting for %s", _tmp99_);
#line 212 "settings.vala"
							_tmp100_ = gsettings;
#line 212 "settings.vala"
							_tmp101_ = key;
#line 212 "settings.vala"
							_tmp102_ = value;
#line 212 "settings.vala"
							_tmp102__length1 = value_length1;
#line 212 "settings.vala"
							g_settings_set_strv (_tmp100_, _tmp101_, _tmp102_);
#line 209 "settings.vala"
							value = (_vala_array_free (value, value_length1, (GDestroyNotify) g_free), NULL);
#line 1226 "settings.c"
						}
						goto __finally27;
						__catch27_g_error:
						{
							GError* e = NULL;
							const gchar* _tmp103_;
							GError* _tmp104_;
							const gchar* _tmp105_;
#line 209 "settings.vala"
							e = _inner_error0_;
#line 209 "settings.vala"
							_inner_error0_ = NULL;
#line 215 "settings.vala"
							_tmp103_ = key;
#line 215 "settings.vala"
							_tmp104_ = e;
#line 215 "settings.vala"
							_tmp105_ = _tmp104_->message;
#line 215 "settings.vala"
							g_warning ("settings.vala:215: Failed to apply %s from configuration file: %s", _tmp103_, _tmp105_);
#line 209 "settings.vala"
							_g_error_free0 (e);
#line 1249 "settings.c"
						}
						__finally27:
#line 209 "settings.vala"
						if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 209 "settings.vala"
							_g_free0 (key);
#line 209 "settings.vala"
							(strv_keys == NULL) ? NULL : (strv_keys = (_g_list_free__g_free0_ (strv_keys), NULL));
#line 209 "settings.vala"
							(int_keys == NULL) ? NULL : (int_keys = (_g_list_free__g_free0_ (int_keys), NULL));
#line 209 "settings.vala"
							(bool_keys == NULL) ? NULL : (bool_keys = (_g_list_free__g_free0_ (bool_keys), NULL));
#line 209 "settings.vala"
							(string_keys == NULL) ? NULL : (string_keys = (_g_list_free__g_free0_ (string_keys), NULL));
#line 209 "settings.vala"
							_g_key_file_unref0 (keyfile);
#line 209 "settings.vala"
							_g_object_unref0 (gsettings);
#line 209 "settings.vala"
							_g_free0 (path);
#line 1270 "settings.c"
							goto __catch23_g_error;
						}
					} else {
						GSettings* _tmp106_;
						const gchar* _tmp107_;
						const gchar* _tmp108_;
#line 219 "settings.vala"
						_tmp106_ = gsettings;
#line 219 "settings.vala"
						_tmp107_ = key;
#line 219 "settings.vala"
						g_settings_reset (_tmp106_, _tmp107_);
#line 220 "settings.vala"
						_tmp108_ = key;
#line 220 "settings.vala"
						g_debug ("settings.vala:220: Resetting dconf setting for %s to default", _tmp108_);
#line 1287 "settings.c"
					}
#line 206 "settings.vala"
					_g_free0 (key);
#line 1291 "settings.c"
				}
			}
		}
#line 109 "settings.vala"
		(strv_keys == NULL) ? NULL : (strv_keys = (_g_list_free__g_free0_ (strv_keys), NULL));
#line 109 "settings.vala"
		(int_keys == NULL) ? NULL : (int_keys = (_g_list_free__g_free0_ (int_keys), NULL));
#line 109 "settings.vala"
		(bool_keys == NULL) ? NULL : (bool_keys = (_g_list_free__g_free0_ (bool_keys), NULL));
#line 109 "settings.vala"
		(string_keys == NULL) ? NULL : (string_keys = (_g_list_free__g_free0_ (string_keys), NULL));
#line 109 "settings.vala"
		_g_key_file_unref0 (keyfile);
#line 109 "settings.vala"
		_g_object_unref0 (gsettings);
#line 109 "settings.vala"
		_g_free0 (path);
#line 1309 "settings.c"
	}
	goto __finally23;
	__catch23_g_error:
	{
		GError* e = NULL;
		GError* _tmp109_;
		const gchar* _tmp110_;
#line 109 "settings.vala"
		e = _inner_error0_;
#line 109 "settings.vala"
		_inner_error0_ = NULL;
#line 225 "settings.vala"
		_tmp109_ = e;
#line 225 "settings.vala"
		_tmp110_ = _tmp109_->message;
#line 225 "settings.vala"
		g_warning ("settings.vala:225: Error in apply_conf_settings (): %s", _tmp110_);
#line 109 "settings.vala"
		_g_error_free0 (e);
#line 1329 "settings.c"
	}
	__finally23:
#line 109 "settings.vala"
	if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 109 "settings.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error0_->message, g_quark_to_string (_inner_error0_->domain), _inner_error0_->code);
#line 109 "settings.vala"
		g_clear_error (&_inner_error0_);
#line 109 "settings.vala"
		return;
#line 1340 "settings.c"
	}
}

UGSettings*
ug_settings_construct (GType object_type)
{
	UGSettings* self = NULL;
#line 21 "settings.vala"
	self = (UGSettings*) g_type_create_instance (object_type);
#line 21 "settings.vala"
	return self;
#line 1352 "settings.c"
}

UGSettings*
ug_settings_new (void)
{
#line 21 "settings.vala"
	return ug_settings_construct (TYPE_UG_SETTINGS);
#line 1360 "settings.c"
}

static void
value_ug_settings_init (GValue* value)
{
#line 21 "settings.vala"
	value->data[0].v_pointer = NULL;
#line 1368 "settings.c"
}

static void
value_ug_settings_free_value (GValue* value)
{
#line 21 "settings.vala"
	if (value->data[0].v_pointer) {
#line 21 "settings.vala"
		ug_settings_unref (value->data[0].v_pointer);
#line 1378 "settings.c"
	}
}

static void
value_ug_settings_copy_value (const GValue* src_value,
                              GValue* dest_value)
{
#line 21 "settings.vala"
	if (src_value->data[0].v_pointer) {
#line 21 "settings.vala"
		dest_value->data[0].v_pointer = ug_settings_ref (src_value->data[0].v_pointer);
#line 1390 "settings.c"
	} else {
#line 21 "settings.vala"
		dest_value->data[0].v_pointer = NULL;
#line 1394 "settings.c"
	}
}

static gpointer
value_ug_settings_peek_pointer (const GValue* value)
{
#line 21 "settings.vala"
	return value->data[0].v_pointer;
#line 1403 "settings.c"
}

static gchar*
value_ug_settings_collect_value (GValue* value,
                                 guint n_collect_values,
                                 GTypeCValue* collect_values,
                                 guint collect_flags)
{
#line 21 "settings.vala"
	if (collect_values[0].v_pointer) {
#line 1414 "settings.c"
		UGSettings * object;
		object = collect_values[0].v_pointer;
#line 21 "settings.vala"
		if (object->parent_instance.g_class == NULL) {
#line 21 "settings.vala"
			return g_strconcat ("invalid unclassed object pointer for value type `", G_VALUE_TYPE_NAME (value), "'", NULL);
#line 1421 "settings.c"
		} else if (!g_value_type_compatible (G_TYPE_FROM_INSTANCE (object), G_VALUE_TYPE (value))) {
#line 21 "settings.vala"
			return g_strconcat ("invalid object type `", g_type_name (G_TYPE_FROM_INSTANCE (object)), "' for value type `", G_VALUE_TYPE_NAME (value), "'", NULL);
#line 1425 "settings.c"
		}
#line 21 "settings.vala"
		value->data[0].v_pointer = ug_settings_ref (object);
#line 1429 "settings.c"
	} else {
#line 21 "settings.vala"
		value->data[0].v_pointer = NULL;
#line 1433 "settings.c"
	}
#line 21 "settings.vala"
	return NULL;
#line 1437 "settings.c"
}

static gchar*
value_ug_settings_lcopy_value (const GValue* value,
                               guint n_collect_values,
                               GTypeCValue* collect_values,
                               guint collect_flags)
{
	UGSettings ** object_p;
	object_p = collect_values[0].v_pointer;
#line 21 "settings.vala"
	if (!object_p) {
#line 21 "settings.vala"
		return g_strdup_printf ("value location for `%s' passed as NULL", G_VALUE_TYPE_NAME (value));
#line 1452 "settings.c"
	}
#line 21 "settings.vala"
	if (!value->data[0].v_pointer) {
#line 21 "settings.vala"
		*object_p = NULL;
#line 1458 "settings.c"
	} else if (collect_flags & G_VALUE_NOCOPY_CONTENTS) {
#line 21 "settings.vala"
		*object_p = value->data[0].v_pointer;
#line 1462 "settings.c"
	} else {
#line 21 "settings.vala"
		*object_p = ug_settings_ref (value->data[0].v_pointer);
#line 1466 "settings.c"
	}
#line 21 "settings.vala"
	return NULL;
#line 1470 "settings.c"
}

GParamSpec*
param_spec_ug_settings (const gchar* name,
                        const gchar* nick,
                        const gchar* blurb,
                        GType object_type,
                        GParamFlags flags)
{
	ParamSpecUGSettings* spec;
#line 21 "settings.vala"
	g_return_val_if_fail (g_type_is_a (object_type, TYPE_UG_SETTINGS), NULL);
#line 21 "settings.vala"
	spec = g_param_spec_internal (G_TYPE_PARAM_OBJECT, name, nick, blurb, flags);
#line 21 "settings.vala"
	G_PARAM_SPEC (spec)->value_type = object_type;
#line 21 "settings.vala"
	return G_PARAM_SPEC (spec);
#line 1489 "settings.c"
}

gpointer
value_get_ug_settings (const GValue* value)
{
#line 21 "settings.vala"
	g_return_val_if_fail (G_TYPE_CHECK_VALUE_TYPE (value, TYPE_UG_SETTINGS), NULL);
#line 21 "settings.vala"
	return value->data[0].v_pointer;
#line 1499 "settings.c"
}

void
value_set_ug_settings (GValue* value,
                       gpointer v_object)
{
	UGSettings * old;
#line 21 "settings.vala"
	g_return_if_fail (G_TYPE_CHECK_VALUE_TYPE (value, TYPE_UG_SETTINGS));
#line 21 "settings.vala"
	old = value->data[0].v_pointer;
#line 21 "settings.vala"
	if (v_object) {
#line 21 "settings.vala"
		g_return_if_fail (G_TYPE_CHECK_INSTANCE_TYPE (v_object, TYPE_UG_SETTINGS));
#line 21 "settings.vala"
		g_return_if_fail (g_value_type_compatible (G_TYPE_FROM_INSTANCE (v_object), G_VALUE_TYPE (value)));
#line 21 "settings.vala"
		value->data[0].v_pointer = v_object;
#line 21 "settings.vala"
		ug_settings_ref (value->data[0].v_pointer);
#line 1521 "settings.c"
	} else {
#line 21 "settings.vala"
		value->data[0].v_pointer = NULL;
#line 1525 "settings.c"
	}
#line 21 "settings.vala"
	if (old) {
#line 21 "settings.vala"
		ug_settings_unref (old);
#line 1531 "settings.c"
	}
}

void
value_take_ug_settings (GValue* value,
                        gpointer v_object)
{
	UGSettings * old;
#line 21 "settings.vala"
	g_return_if_fail (G_TYPE_CHECK_VALUE_TYPE (value, TYPE_UG_SETTINGS));
#line 21 "settings.vala"
	old = value->data[0].v_pointer;
#line 21 "settings.vala"
	if (v_object) {
#line 21 "settings.vala"
		g_return_if_fail (G_TYPE_CHECK_INSTANCE_TYPE (v_object, TYPE_UG_SETTINGS));
#line 21 "settings.vala"
		g_return_if_fail (g_value_type_compatible (G_TYPE_FROM_INSTANCE (v_object), G_VALUE_TYPE (value)));
#line 21 "settings.vala"
		value->data[0].v_pointer = v_object;
#line 1552 "settings.c"
	} else {
#line 21 "settings.vala"
		value->data[0].v_pointer = NULL;
#line 1556 "settings.c"
	}
#line 21 "settings.vala"
	if (old) {
#line 21 "settings.vala"
		ug_settings_unref (old);
#line 1562 "settings.c"
	}
}

static void
ug_settings_class_init (UGSettingsClass * klass,
                        gpointer klass_data)
{
#line 21 "settings.vala"
	ug_settings_parent_class = g_type_class_peek_parent (klass);
#line 21 "settings.vala"
	((UGSettingsClass *) klass)->finalize = ug_settings_finalize;
#line 1574 "settings.c"
}

static void
ug_settings_instance_init (UGSettings * self,
                           gpointer klass)
{
#line 21 "settings.vala"
	self->ref_count = 1;
#line 1583 "settings.c"
}

static void
ug_settings_finalize (UGSettings * obj)
{
	UGSettings * self;
#line 21 "settings.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, TYPE_UG_SETTINGS, UGSettings);
#line 21 "settings.vala"
	g_signal_handlers_destroy (self);
#line 1594 "settings.c"
}

static GType
ug_settings_get_type_once (void)
{
	static const GTypeValueTable g_define_type_value_table = { value_ug_settings_init, value_ug_settings_free_value, value_ug_settings_copy_value, value_ug_settings_peek_pointer, "p", value_ug_settings_collect_value, "p", value_ug_settings_lcopy_value };
	static const GTypeInfo g_define_type_info = { sizeof (UGSettingsClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) ug_settings_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (UGSettings), 0, (GInstanceInitFunc) ug_settings_instance_init, &g_define_type_value_table };
	static const GTypeFundamentalInfo g_define_type_fundamental_info = { (G_TYPE_FLAG_CLASSED | G_TYPE_FLAG_INSTANTIATABLE | G_TYPE_FLAG_DERIVABLE | G_TYPE_FLAG_DEEP_DERIVABLE) };
	GType ug_settings_type_id;
	ug_settings_type_id = g_type_register_fundamental (g_type_fundamental_next (), "UGSettings", &g_define_type_info, &g_define_type_fundamental_info, 0);
	return ug_settings_type_id;
}

GType
ug_settings_get_type (void)
{
	static volatile gsize ug_settings_type_id__volatile = 0;
	if (g_once_init_enter (&ug_settings_type_id__volatile)) {
		GType ug_settings_type_id;
		ug_settings_type_id = ug_settings_get_type_once ();
		g_once_init_leave (&ug_settings_type_id__volatile, ug_settings_type_id);
	}
	return ug_settings_type_id__volatile;
}

gpointer
ug_settings_ref (gpointer instance)
{
	UGSettings * self;
	self = instance;
#line 21 "settings.vala"
	g_atomic_int_inc (&self->ref_count);
#line 21 "settings.vala"
	return instance;
#line 1629 "settings.c"
}

void
ug_settings_unref (gpointer instance)
{
	UGSettings * self;
	self = instance;
#line 21 "settings.vala"
	if (g_atomic_int_dec_and_test (&self->ref_count)) {
#line 21 "settings.vala"
		UG_SETTINGS_GET_CLASS (self)->finalize (self);
#line 21 "settings.vala"
		g_type_free_instance ((GTypeInstance *) self);
#line 1643 "settings.c"
	}
}

static void
_vala_array_destroy (gpointer array,
                     gint array_length,
                     GDestroyNotify destroy_func)
{
	if ((array != NULL) && (destroy_func != NULL)) {
		gint i;
		for (i = 0; i < array_length; i = i + 1) {
			if (((gpointer*) array)[i] != NULL) {
				destroy_func (((gpointer*) array)[i]);
			}
		}
	}
}

static void
_vala_array_free (gpointer array,
                  gint array_length,
                  GDestroyNotify destroy_func)
{
	_vala_array_destroy (array, array_length, destroy_func);
	g_free (array);
}

static gint
_vala_array_length (gpointer array)
{
	gint length;
	length = 0;
	if (array) {
		while (((gpointer*) array)[length]) {
			length++;
		}
	}
	return length;
}

